Update Collection
curl --request PUT \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/collections/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"folderId": "<string>"
}
'import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/collections/{id}"
payload = {
"name": "<string>",
"folderId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', folderId: '<string>'})
};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Collections
Update Collection
Update an existing collection
PUT
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
collections
/
{id}
Update Collection
Path Parameters
string
required
Organization ID
string
required
Project ID
string
required
Collection ID
Request Body
string
Updated collection name
string
New parent folder ID (null for root level)
Example Request
{
"name": "Updated Name",
"folderId": "folder456"
}
Response
Returns the updated Collection object.{
"id": "coll123",
"name": "Updated Name",
"folderId": "folder456",
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-22T10:00:00Z"
}
Error Responses
Collection Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Collection not found"
}
}
Circular Reference
{
"error": {
"code": "CIRCULAR_REFERENCE",
"message": "Cannot move collection - would create a circular reference"
}
}
Code Examples
curl -X PUT "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/collections/coll123" \
-H "Authorization: Bearer YOUR_JWT" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Name"
}'
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/collections/coll123',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_JWT',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Name'
})
}
);
const collection = await response.json();
console.log(`Updated collection: ${collection.name}`);